package employee_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type EmployeeInfoModifyRequest struct {
	NeedModifyUser  *common.UserInfoRequest             `json:"needModifyUser"`
	ModifiedEmpInfo *common.ModifiedEmployeeInfoRequest `json:"modifiedEmpInfo"`
}

func (obj EmployeeInfoModifyRequest) GetUrl() string {
	return "/employee/info/modify"
}

func (obj EmployeeInfoModifyRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
